<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = 'index.php';
		</script>
		<? 
		exit();
		}
$id_empresa =$_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];
$id_autoriza=3;


include("../conex.php");
include("../autoriza.php");

if ($grabar==0)  
{
?>
		<script>
		alert ("No Autorizado");
		parent.location.href = 'index.php';
		</script>
	<? 
	exit();
}		
$id = $_POST["txtcodigo"];

$patente = $_POST["txtpatente"];
$rut = $_POST["txtrut"];
$nombre = $_POST["txtnombre"];
$direccion = $_POST["txtdireccion"];
$comuna = $_POST["txtcomuna"];
$ciudad= $_POST["txtciudad"];


if ($id!=0)
{
	$psql = "UPDATE transportes SET patente = '$patente', rut = '$rut', nombre = '$nombre',  direccion = '$direccion', comuna='$comuna', ciudad ='$ciudad' WHERE id=$id";
	$consulta = mysql_query($psql,$enlace);
?>
<script language="javascript" type="text/javascript">
alert ("Transportista  <?=$nombre.'\nActualizado Con Exito!';?>");
parent.location.href = '';
</script>
<?
}
else
{
$cont=0;
$sql_busca = "SELECT * FROM transportes WHERE patente = '$patente'";
$res_busca =  mysql_query($sql_busca, $enlace);		
while (mysql_fetch_object ($res_busca))
	{
	$cont+=1;
	}

if ($cont==0){
	$psql = "INSERT INTO transportes (patente, rut, nombre , direccion ,  comuna , ciudad)  VALUES ('$patente', '$rut', '$nombre', '$direccion', '$comuna', '$ciudad')";

	$consulta = mysql_query($psql,$enlace);
?>
<script language="javascript" type="text/javascript">
alert ("Transportista <?=$nombre.'\nCreado Con Exito!';?>");
parent.location.href = '';
</script>
<?
	} else {
?>
<script language="javascript" type="text/javascript">
alert ("Patente transportista <?=$nombre.'\nya existe!';?>");
parent.location.href = '';
</script>
<?
	} 
}
?>